A vulnerability in the CLI of the Cisconbsp;StarOS operating system for Cisconbsp;ASR 5000 Series Aggregation Services Routers could allow an authenticated, local attacker to overwrite system files that are stored in the flash memory of an affected system.

The vulnerability is due to insufficient validation of user-supplied input by the affected operating system.

An attacker could exploit this vulnerability by injecting crafted command arguments into a vulnerable CLI command for the affected operating system.

A successful exploit could allow the attacker to overwrite or modify arbitrary files that are stored in the flash memory of an affected system.

To exploit this vulnerability, the attacker would need to authenticate to an affected system by using valid administrator credentials.

There are no workarounds that address this vulnerability.

This advisory is available at the following link:
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20180207-asr

Security Impact Rating: Medium

CVE: CVE-2018-0122

Leave a Reply